import Vue from 'vue'
import Vuex from 'vuex'
 
//1.安装插件
Vue.use(Vuex)
 
//2.创建对象
const store = new Vuex.Store({
  state:{
	  userinfo:'',
		admin:1
   },
   mutations:{
	   // 获取用户信息
	   getUserInfo(state,data){
	   	   state.userinfo=data
	   },
	   	getAdmin(state,data){
	   		   state.admin=data
	   	},
   }
  
  
 
})
//3.导出使用
export default store
